Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MouseInterfaceNode Class Reference

This is the base class for some classes that monitor the mouse and keyboard input and perform some action due to their state. More...

Inheritance diagram for MouseInterfaceNode:

List of all members.

## Public Member Functions
| clearAllButtons ()
| Removes all requirements on buttons set by an earlier call to require_button().
| clearButton (ButtonHandle const button)
| Removes any requirement on the indicated button set by an earlier call to require_button().
| requireButton (ButtonHandle const button, bool is_down)
| Indicates that the indicated button must be in the required state (either up or down) in order for this particular MouseInterfaceNode to do anything.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is the base class for some classes that monitor the mouse and keyboard input and perform some action due to their state.

It collects together some common interface; in particular, the require_button() and related methods.

## Member Function Documentation

clearAllButtons | ( |  | ) |

Removes all requirements on buttons set by an earlier call to require_button().

clearButton | ( | ButtonHandle const | button | ) |

Removes any requirement on the indicated button set by an earlier call to require_button().

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from DataNode.

Reimplemented in DriveInterface, MouseSubregion, and Trackball.

requireButton | ( | ButtonHandle const | button,
|  | bool | is_down
| ) |  |

Indicates that the indicated button must be in the required state (either up or down) in order for this particular MouseInterfaceNode to do anything.

For instance, this may be called to make a Trackball object respect mouse input only when the control key is held down.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties